<?xml version="1.0" encoding="UTF-8"?>
<GenRun Id="impl_1" LaunchPart="xc7a100tcsg324-1" LaunchTime="1710101242">
  <File Type="WBT-USG" Name="usage_statistics_webtalk.html"/>
  <File Type="BG-DRC" Name="zad.drc"/>
  <File Type="BG-BGN" Name="zad.bgn"/>
  <File Type="BITSTR-SYSDEF" Name="zad.sysdef"/>
  <File Type="BITSTR-LTX" Name="debug_nets.ltx"/>
  <File Type="BITSTR-LTX" Name="zad.ltx"/>
  <File Type="BITSTR-MMI" Name="zad.mmi"/>
  <File Type="BITSTR-BMM" Name="zad_bd.bmm"/>
  <File Type="BITSTR-NKY" Name="zad.nky"/>
  <File Type="BITSTR-RBT" Name="zad.rbt"/>
  <File Type="BITSTR-MSK" Name="zad.msk"/>
  <File Type="BG-BIN" Name="zad.bin"/>
  <File Type="BG-BIT" Name="zad.bit"/>
  <File Type="POSTROUTE-PHYSOPT-BUS-SKEW-RPX" Name="zad_bus_skew_postroute_physopted.rpx"/>
  <File Type="POSTROUTE-PHYSOPT-BUS-SKEW-PB" Name="zad_bus_skew_postroute_physopted.pb"/>
  <File Type="POSTROUTE-PHYSOPT-BUS-SKEW" Name="zad_bus_skew_postroute_physopted.rpt"/>
  <File Type="RDI-RDI" Name="zad.vdi"/>
  <File Type="POSTROUTE-PHYSOPT-TIMING-RPX" Name="zad_timing_summary_postroute_physopted.rpx"/>
  <File Type="POSTROUTE-PHYSOPT-TIMING-PB" Name="zad_timing_summary_postroute_physopted.pb"/>
  <File Type="POSTROUTE-PHYSOPT-TIMING" Name="zad_timing_summary_postroute_physopted.rpt"/>
  <File Type="POSTROUTE-PHYSOPT-BLACKBOX-DCP" Name="zad_postroute_physopt_bb.dcp"/>
  <File Type="POSTROUTE-PHYSOPT-DCP" Name="zad_postroute_physopt.dcp"/>
  <File Type="ROUTE-BUS-SKEW" Name="zad_bus_skew_routed.rpt"/>
  <File Type="ROUTE-CLK" Name="zad_clock_utilization_routed.rpt"/>
  <File Type="ROUTE-SIMILARITY" Name="zad_incremental_reuse_routed.rpt"/>
  <File Type="ROUTE-TIMING-RPX" Name="zad_timing_summary_routed.rpx"/>
  <File Type="ROUTE-TIMING-PB" Name="zad_timing_summary_routed.pb"/>
  <File Type="ROUTE-TIMINGSUMMARY" Name="zad_timing_summary_routed.rpt"/>
  <File Type="ROUTE-STATUS-PB" Name="zad_route_status.pb"/>
  <File Type="ROUTE-STATUS" Name="zad_route_status.rpt"/>
  <File Type="ROUTE-PWR-RPX" Name="zad_power_routed.rpx"/>
  <File Type="ROUTE-PWR-SUM" Name="zad_power_summary_routed.pb"/>
  <File Type="ROUTE-PWR" Name="zad_power_routed.rpt"/>
  <File Type="ROUTE-METHODOLOGY-DRC-PB" Name="zad_methodology_drc_routed.pb"/>
  <File Type="ROUTE-METHODOLOGY-DRC-RPX" Name="zad_methodology_drc_routed.rpx"/>
  <File Type="ROUTE-METHODOLOGY-DRC" Name="zad_methodology_drc_routed.rpt"/>
  <File Type="ROUTE-DRC-RPX" Name="zad_drc_routed.rpx"/>
  <File Type="ROUTE-DRC-PB" Name="zad_drc_routed.pb"/>
  <File Type="ROUTE-DRC" Name="zad_drc_routed.rpt"/>
  <File Type="ROUTE-BLACKBOX-DCP" Name="zad_routed_bb.dcp"/>
  <File Type="ROUTE-DCP" Name="zad_routed.dcp"/>
  <File Type="ROUTE-ERROR-DCP" Name="zad_routed_error.dcp"/>
  <File Type="PHYSOPT-TIMING" Name="zad_timing_summary_physopted.rpt"/>
  <File Type="PHYSOPT-DRC" Name="zad_drc_physopted.rpt"/>
  <File Type="PHYSOPT-DCP" Name="zad_physopt.dcp"/>
  <File Type="POSTPLACE-PWROPT-TIMING" Name="zad_timing_summary_postplace_pwropted.rpt"/>
  <File Type="POSTPLACE-PWROPT-DCP" Name="zad_postplace_pwropt.dcp"/>
  <File Type="PLACE-TIMING" Name="zad_timing_summary_placed.rpt"/>
  <File Type="PLACE-PRE-SIMILARITY" Name="zad_incremental_reuse_pre_placed.rpt"/>
  <File Type="PLACE-SIMILARITY" Name="zad_incremental_reuse_placed.rpt"/>
  <File Type="PLACE-CTRL" Name="zad_control_sets_placed.rpt"/>
  <File Type="PLACE-UTIL-PB" Name="zad_utilization_placed.pb"/>
  <File Type="PLACE-UTIL" Name="zad_utilization_placed.rpt"/>
  <File Type="PLACE-CLK" Name="zad_clock_utilization_placed.rpt"/>
  <File Type="PLACE-IO" Name="zad_io_placed.rpt"/>
  <File Type="PLACE-DCP" Name="zad_placed.dcp"/>
  <File Type="PWROPT-TIMING" Name="zad_timing_summary_pwropted.rpt"/>
  <File Type="PWROPT-DRC" Name="zad_drc_pwropted.rpt"/>
  <File Type="PWROPT-DCP" Name="zad_pwropt.dcp"/>
  <File Type="OPT-TIMING" Name="zad_timing_summary_opted.rpt"/>
  <File Type="OPT-HWDEF" Name="zad.hwdef"/>
  <File Type="OPT-METHODOLOGY-DRC" Name="zad_methodology_drc_opted.rpt"/>
  <File Type="OPT-DRC" Name="zad_drc_opted.rpt"/>
  <File Type="OPT-DCP" Name="zad_opt.dcp"/>
  <File Type="INIT-TIMING" Name="zad_timing_summary_init.rpt"/>
  <File Type="ROUTE-BUS-SKEW-RPX" Name="zad_bus_skew_routed.rpx"/>
  <File Type="REPORTS-TCL" Name="zad_reports.tcl"/>
  <File Type="ROUTE-BUS-SKEW-PB" Name="zad_bus_skew_routed.pb"/>
  <File Type="PA-TCL" Name="zad.tcl"/>
  <FileSet Name="sources" Type="DesignSrcs" RelSrcDir="$PSRCDIR/sources_1">
    <Filter Type="Srcs"/>
    <File Path="$PSRCDIR/sources_1/new/clock.v">
      <FileInfo>
        <Attr Name="UsedIn" Val="synthesis"/>
        <Attr Name="UsedIn" Val="implementation"/>
        <Attr Name="UsedIn" Val="simulation"/>
      </FileInfo>
    </File>
    <File Path="$PSRCDIR/sources_1/new/debounce.v">
      <FileInfo>
        <Attr Name="UsedIn" Val="synthesis"/>
        <Attr Name="UsedIn" Val="implementation"/>
        <Attr Name="UsedIn" Val="simulation"/>
      </FileInfo>
    </File>
    <File Path="$PSRCDIR/sources_1/new/digit.v">
      <FileInfo>
        <Attr Name="UsedIn" Val="synthesis"/>
        <Attr Name="UsedIn" Val="implementation"/>
        <Attr Name="UsedIn" Val="simulation"/>
      </FileInfo>
    </File>
    <File Path="$PSRCDIR/sources_1/new/disp_seg.v">
      <FileInfo>
        <Attr Name="UsedIn" Val="synthesis"/>
        <Attr Name="UsedIn" Val="implementation"/>
        <Attr Name="UsedIn" Val="simulation"/>
      </FileInfo>
    </File>
    <File Path="$PSRCDIR/sources_1/new/display.v">
      <FileInfo>
        <Attr Name="UsedIn" Val="synthesis"/>
        <Attr Name="UsedIn" Val="implementation"/>
        <Attr Name="UsedIn" Val="simulation"/>
      </FileInfo>
    </File>
    <File Path="$PSRCDIR/sources_1/new/math.v">
      <FileInfo>
        <Attr Name="UsedIn" Val="synthesis"/>
        <Attr Name="UsedIn" Val="implementation"/>
        <Attr Name="UsedIn" Val="simulation"/>
      </FileInfo>
    </File>
    <File Path="$PSRCDIR/sources_1/new/ps2.v">
      <FileInfo>
        <Attr Name="UsedIn" Val="synthesis"/>
        <Attr Name="UsedIn" Val="implementation"/>
        <Attr Name="UsedIn" Val="simulation"/>
      </FileInfo>
    </File>
    <File Path="$PSRCDIR/sources_1/new/usr_input.v">
      <FileInfo>
        <Attr Name="UsedIn" Val="synthesis"/>
        <Attr Name="UsedIn" Val="implementation"/>
        <Attr Name="UsedIn" Val="simulation"/>
      </FileInfo>
    </File>
    <File Path="$PSRCDIR/sources_1/new/zad.v">
      <FileInfo>
        <Attr Name="UsedIn" Val="synthesis"/>
        <Attr Name="UsedIn" Val="implementation"/>
        <Attr Name="UsedIn" Val="simulation"/>
      </FileInfo>
    </File>
    <Config>
      <Option Name="DesignMode" Val="RTL"/>
      <Option Name="TopModule" Val="zad"/>
    </Config>
  </FileSet>
  <FileSet Name="constrs_in" Type="Constrs" RelSrcDir="$PSRCDIR/constrs_1">
    <Filter Type="Constrs"/>
    <File Path="$PSRCDIR/constrs_1/new/const.xdc">
      <FileInfo>
        <Attr Name="UsedIn" Val="synthesis"/>
        <Attr Name="UsedIn" Val="implementation"/>
      </FileInfo>
    </File>
    <Config>
      <Option Name="ConstrsType" Val="XDC"/>
    </Config>
  </FileSet>
  <FileSet Name="utils" Type="Utils" RelSrcDir="$PSRCDIR/utils_1">
    <Filter Type="Utils"/>
    <Config>
      <Option Name="TopAutoSet" Val="TRUE"/>
    </Config>
  </FileSet>
  <Strategy Version="1" Minor="2">
    <StratHandle Name="Vivado Implementation Defaults" Flow="Vivado Implementation 2018"/>
    <Step Id="init_design"/>
    <Step Id="opt_design"/>
    <Step Id="power_opt_design"/>
    <Step Id="place_design"/>
    <Step Id="post_place_power_opt_design"/>
    <Step Id="phys_opt_design"/>
    <Step Id="route_design"/>
    <Step Id="post_route_phys_opt_design"/>
    <Step Id="write_bitstream"/>
  </Strategy>
</GenRun>
